#几 #多少 #question

Measure words are also required in questions asking for a number/quantity. The interrogative word, 几jǐ or 多少duōshao, appears before the measure word.
Generally 几jǐ is used for anticipated answers smaller than 10, and 多少duōshao is used for any.

- 几 + (measure word)
	1. 你们有几个中文老师？
	   nǐmen yǒu jǐge Zhōngwén lǎoshī
	   How many Chinese teachers do you have?
	   _(Expecting ~1-3)_
    2. 你有几个姐姐妹妹？
       nǐ yǒu jǐge jiějie mèimei
       How many sisters do you have?
       _(Answer is likely to be less than 10)_
- 多少 + (measure word)
	1. 图书馆有多少本中文画报？
	   túshūguǎn yǒu duōshaoběn Zhōngwén huàbào
	   How many pictorials does the library have?
	   _(Answer is likely to be more than 10)_
	2. 你们学院有多少个系？
	   nǐmen xuéyuàn yǒu duōshaoge xì
	   How many departments does your institute have?
	   _(Answer likely more than 10)_

# 多少 without a measure word
多少 can be used with or without a measure word. There is however a slight difference in connotation depending on whether the measure word is used or not. Generally the measure word is omitted when a huge figure is anticipated as the response:
1. 中文系有多少(个)学生？
   Zhōngwén xì yǒu duōshao(ge) xuésheng
   How many students does the Chinese department have?
2. 中国有多少人？
   Zhōngguó yǒu duōshao rén
   How many people does China have?
   (We omit the 个 as the result is surely huge.)