#measure #demonstrative

A measure word is required between a numeral and a noun. It's also required when a demonstrative is used before a noun:
```
demonstrative + measure + noun
```
1. 这本书
   zhè běn shū
   this book
2. 那张票
   nà zhāng piào
   that ticket
3. 哪条裙子
   nǎ tiáo qúnzi
   which skirt

In the case where a noun is modified by both a demonstrative and a numeral, the former comes before the latter, followed by the measure:
```
demonstrative + numeral + measure + noun
```
1. 这五个朋友
   zhè wǔge péngyou
   these five friends
2. 那十二件衬衫
   nà shí'èrjiàn chènshān
   those twelve shirts
3. 哪四张地图
   nǎ sìzhāng dìtú
   which four maps

The combination of the demonstrative and/or numeral combined with the measure word forms one structural unit, modifying the following *head noun*. In speech, people often leave a small pause before the modifying unit and the head noun. The head noun can even be omitted if it is easily inferred, for example when answering some quantifying questions.