#question #还是

An alternative question presents the questioned choices, and asks them to make their selection. For example, you could ask "Would you like to have coffee or tea?" instead of "What would you like to drink?" - the latter being an interrogative word question. In English we use the word "or" to ask alternative questions - the Chinese equivalent is 还是háishì. For example:
1. 你来还是去？
   nǐ lái háishì qù
   Are you coming or going?
2. 你喝茶还是喝咖啡？
   nǐ hē chá háishì hē kāfēi
   Do you drink tea or coffee?

Note that in Chinese we have to have a verb before and after 还是, unlike English. That is to say, we have to say "Do you **drink** tea or **drink** coffee?", not "Do you **drink** tea or coffee?". 还是 treats the "verb + object" pair as a whole unit.

# Forms
These questions can take on several forms, depending on what you put before and after 还是.
## Verb and its negation
```
subject + (verb) + 还是 + (不 + verb)?
```
> 你来还是不来？
> nǐ lái háishì bù lái
> Are you coming or not coming?

## Different verbs
```
subject + (verb1) + 还是 + (verb2)?
```
> 你来还是去？

## Predicates with two different verbs and objects
```
subject + (verb1 + object1) + 还是 + (verb2 + object2)?
```
> 你来学校还是回宿舍？
> nǐ lái xuéxiào háishì qù sùshè
> Are you coming to school or going to the dorm?

## Predicates with same verbs but different objects
```
subject + (verb + object1) + 还是 + (verb + object2)
```
> 你去图书馆还是去食堂？
> nǐ qù túshūguǎn háishì qù shítáng
> Are you going to the library or going to the canteen?

## Predicates with same objects but different verbs
```
subject + (verb1 + object) + 还是 + (verb2 + object)
```
> 你借书还是还书？
> nǐ jiè shū háishì huán shū
> Are you borrowing books or returning books?

