#些 #一些 #measure

A measure word is required when the noun is qualified by a numeral, e.g. 三**本**书. It's also required with the demonstrative, e.g. 这**本**书.
For the latter case, the demonstrative, we omit any numerals - but the implication is that there is only one (ie. this book). So, how can we say "these books"?
In Chinese, an indefinite measure word is used for this purpose. 

# Countable Nouns: 些
For countable nouns, this is 些xiē:
1. 这些人 zhè xiē rén "these people"
2. 那些车 nà xiē chē  "those cars"
3. 哪些书？nǎ xiē shū? which books?

些xiē can also appear with the numeral for one, 一. This matches the English use of "a" in "a few of" or "a bit of":
1. 一些朋友 yìxiē péngyou "a few/some friends"
2. 一些票 yìxiē piào "a few/some tickets"

>[!warning] 一些 is never the subject
>Unlike in English, where "some [noun]" can occupy the subject position in a sentence, 一些X can never do this in Chinese.


# Uncountable Nouns: 点儿
Another indefinite measure word in Chinese in 点儿, used for small amounts of uncountable things. It can also be used instead of 一些 for countable things, in which case it indicates an even smaller amount.
1. 一点儿咖啡 yìdiǎnr kāfēi "some coffee"
2. 我有一些事儿请你帮助。
   I have a few things which I need your help with.
3. 我有一点二事儿请你帮助。
   I have something which I need your help with.

