#adjective #多 #少

The adjective 多duō ("many, much"), like all adjectives, can be used attributively or predicatively. I.e. it can stand before a noun as it's modifier, or it may constitute a predicate all by itself - for example:
> 他的书很多，也很新。
> tā de shū hěn duō, yě hěn xīn
> His books are many, and new too.

多 can never appear on it's own while being used attributively though, unlike other adjectives. It always requires the presence of another adverb such as 很hěn before it:
1. <mark style="background: #FF5582A6;">多朋友</mark>
   <mark style="background: #FF5582A6;">duō péngyou</mark>
   <mark style="background: #FF5582A6;">many friends</mark>
   (Wrong)
2. 新朋友
   xīn péngyou
   new friends
3. 很多朋友
   hěn duō péngyou
   many friends

Remember, when using a monosyllabic adjective like 多, [[的de#Single-Syllable Adjectives|we can omit the 的]]. We wouldn't expect this to apply because we combine it with 很 to make 很多 (which is no longer monosyllabic), but it's actually a special case and 的 can be omitted - as above. 少 actually shares this behaviour, but often 很少 is not used and a negative of 很多 is used instead, for example "没有很多书".


