#adverb #还 

The adverb 还hái has a variety of meanings. One of the basic usages is to indicated "in addition to", "beside", or "on top of that":
> **(1)** 我有三个姐姐，四个妹妹， 还有一个哥哥。
> wǒ yǒu sānge jiějie, sìge mèime, hái yǒu yige gēge
> I have three elder sisters, one younger sister, in addition to one older brother.

# 还 and 也
还 feels similar to 也yě, which means "also". We can even rephrase the previous sentence using 也:
> **(2)** 我有三个姐姐， 四个妹妹， 也有一个哥哥。
> wǒ yǒu sānge jiějie, sìge mèimei, yě yǒu yige gēge.

However, there are a few differences between the two in usage.

## Element of Surprise
也 marks a parallel situation of a relationship between two events or action - hence, it is translated as "also" or "too".
还, however, indicates an element of surprise - which is why it is translated more as "on top of", "in addition to", etc.
Therefore, **(2)** is simply a counting of the siblings one has - whilst **(1)** places emphasis on the large number of siblings one has:
> Not only do I have seven sisters, I also have one brother.

Here is another pair of examples:
> **(3)** 王老师教语法，也叫汉字。
> Wáng lǎoshī jiāo yǔfǎ, yě jiāo Hànzi
> Teacher Wang teaches grammar, and also Chinese characters.
> 
> **(4)** 王老师教语法，还叫汉字。
> Wáng lǎoshī jiāo yǔfǎ, hái jiāo Hànzi
> Teacher Wang teaches grammar. On top of that, he also teaches Chinese characters.

Again **(3)** is a more simple and plain way of putting the sentence.  **(4)** is a much more emphatic description of the same: Not only does Mr. Wang teach grammar (which is already hard), he also teaches Chinese characters!
Thus we can see 也 has a much more factual tone, as opposed to 还's extra emphasis or indication of surprise.
Here is an example of using both 也 and 还 in the same sentence:
> **(5)**
> 》**A:** 我现在去新图书馆借书。那儿有英语书，也有法语书，还有中文报。你去不去？
>      wǒ xiànzài qù xīn túshūguǎn jiè shū. nàr yǒu yīngyú shū, yě yǒu fǎyú shū, hái yǒu Zhōngwén bào. nǐ qù bu qù?
>      I'm now going to the new bookshop to borrow books. There there are English books, and French books. In addition, they have Chinese newspapers. Are you going?
> 》**B:** 我也去。我去那儿还地图。
>      wǒ yě qù. wǒ qù nàr huán dìtú.
>      I'm also going. I'm going there to return a map.

## 还 can't mean "A does X, B also does X"
To express the meaning: "**A** does **X**, **A** also does **Y**." You can use either 也 or 还.
However, for the meaning: "**A** does **X**, **B** also does **X**" you can *only* use 也.
Some examples:
1. 我教语法，(我)也教汉字。
   wǒ jiāo yǔfǎ, (wǒ) yě jiāo Hànzi
   I teach grammar, and I also teach Chinese characters.
2. 我教语法， 你也教语法。
   wǒ jiāo yǔfǎ, nǐ yě jiāo yǔfǎ
   I teach grammar, and you also teach grammar.
3. 我教语法，(我)还教汉字。
   wǒ jiāo yǔfǎ, (wǒ) hái jiāo Hànzi
   I teach grammar, and on top of that, I also teach Chinese characters.
4. <mark style="background: #FF5582A6;">我教语法，你还教语法。 (Incorrect)</mark>
   <mark style="background: #FF5582A6;">wǒ jiāo yǔfǎ, nǐ hái jiāo yǔfǎ</mark>
<mark style="background: #FF5582A6;">   I teach grammar, and on top of that, you also teach grammar.</mark>

